public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-office/ledger/
Date: Sun, 11 Dec 2016 00:15:32 +0000 (UTC)	[thread overview]
Message-ID: <1481415326.f09fe4809ba88d7849a5cd691c33f63cbc48daf7.soap@gentoo> (raw)

commit:     f09fe4809ba88d7849a5cd691c33f63cbc48daf7
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 11 00:15:07 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Dec 11 00:15:26 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f09fe480

app-office/ledger: [QA] Minor fixes

* Simplify dev-libs/boost dependency
* Add missing call to 'cmake-utils_src_prepare'
* Remove DOCS, as einstalldocs already covers this
* Fix wrong indentation
* Call correct 'cmake-utils_src_install' function

Package-Manager: portage-2.3.3

 app-office/ledger/ledger-3.1.1.ebuild | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

diff --git a/app-office/ledger/ledger-3.1.1.ebuild b/app-office/ledger/ledger-3.1.1.ebuild
index 679e7b6..7bf7605 100644
--- a/app-office/ledger/ledger-3.1.1.ebuild
+++ b/app-office/ledger/ledger-3.1.1.ebuild
@@ -22,11 +22,10 @@ SITEFILE=50${PN}-gentoo-${PV}.el
 CHECKREQS_MEMORY=8G
 
 COMMON_DEPEND="
-	dev-libs/gmp:0
-	dev-libs/mpfr:0
+	dev-libs/boost:=[python?]
+	dev-libs/gmp:0=
+	dev-libs/mpfr:0=
 	emacs? ( virtual/emacs )
-	python? ( dev-libs/boost:=[python] )
-	!python? ( dev-libs/boost:= )
 "
 RDEPEND="
 	${COMMON_DEPEND}
@@ -41,8 +40,6 @@ DEPEND="
 	)
 "
 
-DOCS=(README.md)
-
 # Building with python integration seems to fail without 8G available
 # RAM(!)  Since the memory check in check-reqs doesn't count swap, it
 # may be unfair to fail the build entirely on the memory test alone.
@@ -51,24 +48,27 @@ DOCS=(README.md)
 pkg_pretend() {
 	:
 }
+
 pkg_setup() {
 	if use python; then
-	   check-reqs_pkg_setup
-	   python-single-r1_pkg_setup
+		check-reqs_pkg_setup
+		python-single-r1_pkg_setup
 	fi
 }
 
 src_prepare() {
+	cmake-utils_src_prepare
+
 	# Want to type "info ledger" not "info ledger3"
 	sed -i -e 's/ledger3/ledger/g' \
-	doc/ledger3.texi \
-	doc/CMakeLists.txt \
-	test/CheckTexinfo.py \
-	tools/cleanup.sh \
-	tools/gendocs.sh \
-	tools/prepare-commit-msg \
-	tools/spellcheck.sh \
-	|| die "Failed to update info file name in file contents"
+		doc/ledger3.texi \
+		doc/CMakeLists.txt \
+		test/CheckTexinfo.py \
+		tools/cleanup.sh \
+		tools/gendocs.sh \
+		tools/prepare-commit-msg \
+		tools/spellcheck.sh \
+		|| die "Failed to update info file name in file contents"
 
 	mv doc/ledger{3,}.texi || die "Failed to rename info file name"
 }
@@ -97,7 +97,7 @@ src_install() {
 	sed -i -e '/python/d' ../${P}_build/src/cmake_install.cmake \
 		|| die "Failed to disable installation of ledger.so"
 
-	enable_cmake-utils_src_install
+	cmake-utils_src_install
 
 	# This source dir appears to include some helper code for serving
 	# reports to a browser ("ledger server").  I can't quite get it to


             reply	other threads:[~2016-12-11  0:15 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-12-11  0:15 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-09  4:38 [gentoo-commits] repo/gentoo:master commit in: app-office/ledger/ Erik Mackdanz
2025-02-09  4:38 Erik Mackdanz
2024-11-03 20:12 Erik Mackdanz
2024-11-03 20:12 Erik Mackdanz
2024-05-28 18:19 Arthur Zamarin
2024-05-28 12:35 Sam James
2024-05-28 12:11 Michał Górny
2024-05-19 20:11 Erik Mackdanz
2023-07-02 19:55 Erik Mackdanz
2023-07-02 19:55 Erik Mackdanz
2023-04-08 16:26 Erik Mackdanz
2023-04-08 16:26 Erik Mackdanz
2023-04-08 16:26 Erik Mackdanz
2023-03-19 13:49 Erik Mackdanz
2023-03-03 15:19 Robin H. Johnson
2023-03-02  6:04 Erik Mackdanz
2023-03-02  6:04 Erik Mackdanz
2022-09-04 12:12 David Seifert
2022-07-01  5:22 Erik Mackdanz
2022-04-12 22:36 Jakov Smolić
2022-04-12 19:10 Arthur Zamarin
2022-04-12 19:04 Arthur Zamarin
2021-01-23 20:17 Erik Mackdanz
2021-01-23 20:16 Erik Mackdanz
2020-11-18 14:45 Erik Mackdanz
2020-09-19  8:04 Michał Górny
2020-08-18 11:22 Agostino Sarubbo
2020-08-18 11:16 Agostino Sarubbo
2020-05-24 20:28 Andreas Sturmlechner
2020-05-24 20:28 Andreas Sturmlechner
2020-02-09 16:11 Michał Górny
2019-08-12  8:02 Agostino Sarubbo
2019-08-11  8:19 Andreas Sturmlechner
2019-07-27  8:17 Andreas Sturmlechner
2019-07-18 20:58 Andreas Sturmlechner
2019-02-13 21:16 Robin H. Johnson
2018-10-30 15:13 Andreas Sturmlechner
2018-08-29  1:58 Erik Mackdanz
2018-08-15  6:23 Robin H. Johnson
2018-02-12 11:11 Patrice Clement
2017-06-11 11:27 Alexis Ballier
2017-04-20  7:59 David Seifert
2016-12-24  2:21 Erik Mackdanz
2016-10-21  2:27 Erik Mackdanz
2016-09-14  2:15 Erik Mackdanz
2016-08-07  8:02 Pacho Ramos
2016-02-21 19:17 Erik Mackdanz

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1481415326.f09fe4809ba88d7849a5cd691c33f63cbc48daf7.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox